Avro C#

Public Member Functions | List of all members
Avro.SchemaParseException Class Reference

Used to communicate an exception that occurred while parsing a schema. More...

Inheritance diagram for Avro.SchemaParseException:

## Public Member Functions
| SchemaParseException ()
| Initializes a new instance of the SchemaParseException class. More...
| SchemaParseException (string s)
| Initializes a new instance of the SchemaParseException class. More...
| SchemaParseException (string message, Exception innerException)
| Initializes a new instance of the SchemaParseException class. More...
Public Member Functions inherited from Avro.AvroException
| AvroException ()
| Initializes a new instance of the AvroException class. More...
| AvroException (string s)
| Initializes a new instance of the AvroException class. More...
| AvroException (string s, Exception inner)
| Initializes a new instance of the AvroException class. More...

## Detailed Description

Used to communicate an exception that occurred while parsing a schema.

## Constructor & Destructor Documentation

## ◆ SchemaParseException() [1/3]

Avro.SchemaParseException.SchemaParseException | ( |  | ) |
| inline

Initializes a new instance of the SchemaParseException class.

## ◆ SchemaParseException() [2/3]

Avro.SchemaParseException.SchemaParseException | ( | string | s | ) |
| inline

Initializes a new instance of the SchemaParseException class.

Parameters

  s | Exception message.

## ◆ SchemaParseException() [3/3]

Avro.SchemaParseException.SchemaParseException | ( | string | message,
|  | Exception | innerException
| ) |  |
| inline

Initializes a new instance of the SchemaParseException class.

Parameters

  message | The error message that explains the reason for the exception.
  innerException | The exception that is the cause of the current exception, or a null reference if no inner exception is specified.

The documentation for this class was generated from the following file:

- src/apache/main/Schema/SchemaParseException.cs